function [Nwindow, SS_wind, freq_wind] = WindSpectrum(vind,Fs)

N=length(vind); %get the number of points
k=0:N-1;     %create a vector from 0 to N-1
T=N/Fs;      %get the frequency interval
freq=k/T;    %create the frequency range
X=2*fft(vind,[],2)/N; X(:,1)=X(:,1)/2; % normalize the data
 
%only want the first half of the FFT, since it is redundant
cutOff = ceil(N/2); 
 
%take only the first half of the spectrum
X = X(:,1:cutOff);
freq = freq(1:cutOff);



end