function utslag = displacementPlotAnim(utslag_korr, topp1, SS, freq)

indeks_topp1 = floor(length(freq)/max(freq)*topp1);

[s1, s2, s3] = size(SS);


for i = 1:s1

    utslag(i) = squeeze(real(SS(i,i,indeks_topp1)));

end

skaleringsfaktor=0.20;

[max_utslag, indeks_max]=max(utslag);
utslag(:) = sqrt(utslag(:))/sqrt(max_utslag); %Gir strrelsen p utslaget i hver node
utslag=utslag.*utslag_korr(indeks_max,:); %Gir utslaget med retning i hver node
utslagx=utslag(1:3:s1);
utslagy=utslag(2:3:s1);
utslagz=utslag(3:3:s1);
    
%     brox = [-20 -10 0 20];
%     broy = [1 -1];
%     broy2(1,:)=utslagy(1:2:8);
%     broy2(2,:)=utslagy(2:2:8);
%     broz = zeros(2,4);
broy2(1,:)=skaleringsfaktor*utslagy(1:2:8);
broy2(2,:)=skaleringsfaktor*utslagy(2:2:8);
broz2(1,:)=skaleringsfaktor*utslagz(1:2:8);
broz2(2,:)=skaleringsfaktor*utslagz(2:2:8);
     
% Til bruk i mesh, surf    
brox = [0 10 20 40; 0 10 20 40];
broy = [0 0.5 0.925 0; 0.625 1.125 1.55 0.625];
broz = [0 0 0 0; 0 0 0 0];
% Til bruk i scatter3
brox_coord = [0 10 20 40 0 10 20 40];
broy_coord = [0 0.5 0.925 0 0.625 1.125 1.55 0.625];
broz_coord = [0 0 0 0 0 0 0 0];



    figure
    %patch(brox,broy,broz,1)
    
    
    scatter3(brox_coord,broy_coord,broz_coord,[],'k','x')
    %mesh(brox,broy,broz)
    hold on
    
writerObj = VideoWriter('peaks2.avi');
open(writerObj);    
    
 axis tight
set(gca,'nextplot','replacechildren');
set(gcf,'Renderer','zbuffer');   
    x=0;

    while x<3000
     close all   
     FigHandle = figure('Position', [100, 100, 1600, 900]);   
        
     plot([0 10 20 40],[0 0.5 0.925 0])
     plot([0 10 20 40],[0.625 1.125 1.55 0.625])
     plot([0 0],[0 0.625])
     plot([40 40],[0 0.625])        
        
        
        x=x+1;
        skaleringsfaktor = 0.5*sin(0.1*x);
        
        broy2(1,:)=skaleringsfaktor*utslagy(1:2:8);
        broy2(2,:)=skaleringsfaktor*utslagy(2:2:8);
        broz2(1,:)=skaleringsfaktor*utslagz(1:2:8);
        broz2(2,:)=skaleringsfaktor*utslagz(2:2:8);
        
        
%figure('units','outerposition',[0 0 0.9 0.9])         
        surf(brox,broy+broy2,broz+broz2)
            axis([0 40 -15 15 -15 15])
            view(0.1*x, 20)
            zoom(3)
    
            
        
        
        M = getframe;
        writeVideo(writerObj,M)   
        hold off

    end
    
    
    
%     axis([0 40 -15 15 -3 3])
%     %hold on
%     %surf(brox,broy,broz2)
%     %surf(utslagx,utslagy,utslagz)
%     plot([0 10 20 40],[0 0.5 0.925 0])
%     plot([0 10 20 40],[0.625 1.125 1.55 0.625])
%     plot([0 0],[0 0.625])
%     plot([40 40],[0 0.625])
    grid off

    
    
    %movie(M,30)
    

   
    
writeVideo(writerObj,M)    
    
close(writerObj)    
    
end