function utslag = displacementPlotAnim2(utslag_korr, topp1, SS, freq, entry, demping,nodenummer, egenfrekvenser)

indeks_topp1 = floor(length(freq)/max(freq)*topp1);
modenummer2=5;
antallpunkter=7;
node=5;

[s1, s2, s3] = size(SS);

for i = 1:s1
    utslag(i) = SS(i,i,indeks_topp1);
end

skaleringsfaktor=2;

[max_utslag, indeks_max]=max(utslag);
utslag = sqrt(utslag)/sqrt(max_utslag) %Gir strrelsen p utslaget i hver node


%velg_indeks=input('Velg en indeks til node med stort utslag for  f fasevinkler. ')
velg_indeks=nodenummer;

utslag=utslag.*utslag_korr(velg_indeks,:); %Gir utslaget med retning i hver node
utslagx=utslag(1:3:s1);
utslagy=utslag(2:3:s1);
utslagz=utslag(3:3:s1);



videotittel=[num2str(topp1) 'Hz.avi']

writerObj = VideoWriter(videotittel);
open(writerObj);    
    
axis tight
%set(gca,'nextplot','replacechildren');
%set(gcf,'Renderer','zbuffer');   




w=000;
while w<20
     w=w+2
     
     close all
     hold on
   
     faktor=sin(0.05*w);
    
% scatter3(brox_coord,broy_coord,broz_coord,[],'k','x')
% %mesh(brox,broy,broz)
% hold on
% surf(brox+faktor*brox2,broy+faktor*broy2,broz+faktor*broz2)
% axis([100 530 -40 50 -20 20])
% plot(brox_full, broy_full)
% plot(brox_full, broy_full+4)






bru__x(1,:) = linspace(0,632,antallpunkter+2);
bru__x(2,:) = linspace(0,632,antallpunkter+2);
bru__y(1,:) = linspace(0,0,antallpunkter+2);
bru__y(2,:) = linspace(13,13,antallpunkter+2);
bru__z(1,:) = linspace(00,00,antallpunkter+2);
bru__z(2,:) = linspace(00,00,antallpunkter+2);

broy2(1,:)=[0 skaleringsfaktor*utslagy(1:2:14) 0];
broy2(2,:)=[0 skaleringsfaktor*utslagy(2:2:14) 0];
broz2(1,:)=[0 skaleringsfaktor*utslagz(1:2:14) 0];
broz2(2,:)=[0 skaleringsfaktor*utslagz(2:2:14) 0];
brox2(1,:)=[0 skaleringsfaktor*utslagx(1:2:14) 0];
brox2(2,:)=[0 skaleringsfaktor*utslagx(2:2:14) 0];

bru__x2(1,:) = bru__x(1,:);% + brox2(1,:);
bru__x2(2,:) = bru__x(2,:);% - brox2(2,:);
bru__y2(1,:) = bru__y(1,:) + broy2(1,:);
bru__y2(2,:) = bru__y(2,:) + broy2(2,:);
bru__z2(1,:) = bru__z(1,:) + broz2(1,:);
bru__z2(2,:) = bru__z(2,:) + broz2(2,:);


figure

h=surf(bru__x,bru__y,bru__z);   
hold on
h=surf(bru__x2,bru__y2,bru__z2); 

h=surf([-1 1; -1 -1],[-5 15; -25 35],[40 40; -60 -60]);
h=surf([632 632; 632 632],[-5 15; -25 35],[40 40; -60 -60]);

title(['mode: ' num2str(modenummer2) '   -   ' num2str(egenfrekvenser(modenummer2)) ...
    ' Hz   -   Vindberegninger   -    nodenummer: ' num2str(node)])
axis([-10 650 -330 330 -100 100])







grid off



uistr(1) = {['Frekvens = ' num2str(topp1) ' Hz']};
%uistr(2) = {['Demping = ' num2str(100*demping) ' %']};





%['Frekvens = ' 'asdf';num2str(topp1) ' Hz']

            set(gcf, 'Position', [100 100 1400 900])

annotation('textbox',[0.15 0.85 0.25 0.08],'String',uistr,'FontSize',12);%'FontName','Arial','LineStyle','--','EdgeColor',[1 1 0],'LineWidth',2,'BackgroundColor',[0.9  0.9 0.9],'Color',[0.84 0.16 0]);
xlabel('x-akse')
ylabel('y-akse')
zlabel('z-akse')

            view(0.1*w, 20)
            zoom(1)


            
            
            
M = getframe;
writeVideo(writerObj,M)
hold off
end


writeVideo(writerObj,M)
close(writerObj)

end