
close all
%clear all
%hold on


[tsdown, downsample, Fs] = downSample(ts, n_node);
%%
theta=atan((ts(:,6:6:42)-ts(:,3:6:42))/13.2);

thetadown=atan((tsdown(:,6:6:42)-tsdown(:,3:6:42))/13.2);

var(theta(:,4));
var(ts(:,3));

%%

%load D:\masterdata\output\fjerdedels15\Main21.mat
%load D:\masterdata\output\midt15\Main21.mat
load D:\masterdata\output\Main21.mat
SrSr=real(SrSr);

titler=['y-retning';'z-retning';'t-retning'];

for i=1:3
    % for j=2
    j=i;
    lengde=length(SrSr(i,j,:));
    
    f=linspace(NG,OG,lengde);
    y=squeeze(SrSr(i,j,:));
    
    figure
    subplot(2,1,1)
    plot(f,y)
    ylabel('S_r_r');xlabel('Frekvens - Rad/s')
    title(titler(i,:))
    hold on
    grid on
    xlim([0 OG])
    omega=f;
    integralet=squeeze(real(SrSr(i,j,:))).*(omega.^4)';
    standardavvik=sqrt(trapz(omega,real(integralet)));
    real(standardavvik);
    subplot(2,1,2)
    plot(f,integralet)
    grid on
    ylabel('\omega^4 S_r_r');xlabel('Frekvens - Rad/s')
    %title(titler(i,:))
    xlim([0 OG])
    if i==1;
        standardavvikz(1,1:2) = real(standardavvik);
    elseif i==2;
        standardavviky(1,1:2) = real(standardavvik);
    elseif i==3;
        standardavvikt(1,1:2) = real(standardavvik);
    end
    set(gcf, 'Position', [400, 100, 649, 595])
    %end
end




%%

%velg punkt:
%midt:
%node_y=19;

%fjerdedels:
node_y=19;
% mulige valg:
% 1,4,7,10,13,16,19,22,25,28,31,34,37,40



node_z=node_y+2;
node_y2=node_y+3;
node_z2=node_z+3;
%disp(' ')
%disp('Integrert opp')
%disp('fr downsampling')
%disp('etter downsampling')

%standardavvik midt p for z-retning:

% standardavvikz(1,:) = std(ts(:,15:3:30))
% standardavvikz(2,:) = std(tsdown(:,15:3:30))

%midtpunkt
% standardavvikz(2,:) = std(ts(:,21:3:24));
% standardavvikz(3,:) = std(tsdown(:,21:3:24));
% fjerdedelspunkt
standardavvikz(2,:) = std(ts(:,node_z:3:node_z2));
standardavvikz(3,:) = std(tsdown(:,node_z:3:node_z2));

%standardavvik midt p for y-retning:

% standardavviky(1,:) = std(ts(:,13:3:28))
% standardavviky(2,:) = std(tsdown(:,13:3:28))
standardavviky(2,:) = std(ts(:,node_y:3:node_y2));
standardavviky(3,:) = std(tsdown(:,node_y:3:node_y2));


standardavvikt(2,:) = std(theta(:,4));
standardavvikt(3,:) = std(thetadown(:,4));

oppskalering=1000;

disp(' ')
disp(['nodenummer: ' num2str(node_y)])
disp(' ')
disp(['Downsample: ' num2str(downsample)])
disp([num2str(oppskalering) ' * standardavvik'])

disp('                       node 1       node 2')
disp(' ')
disp('Y-retning: ')
disp(['Integrert opp         ' num2str(oppskalering*standardavviky(1,:))])
disp(['fr downsampling      ' num2str(oppskalering*standardavviky(2,:))])
disp(['etter downsampling    ' num2str(oppskalering*standardavviky(3,:))])
disp(' ')
disp('Z-retning: ')
disp(['Integrert opp         ' num2str(oppskalering*standardavvikz(1,:))])
disp(['fr downsampling      ' num2str(oppskalering*standardavvikz(2,:))])
disp(['etter downsampling    ' num2str(oppskalering*standardavvikz(3,:))])
disp(' ')
disp('Theta-retning: ')
disp(['Integrert opp         ' num2str(oppskalering*standardavvikt(1,:))])
disp(['fr downsampling      ' num2str(oppskalering*standardavvikt(2,:))])
disp(['etter downsampling    ' num2str(oppskalering*standardavvikt(3,:))])



figure
subplot(2,1,1)
plot(ts(:,node_z))
xlim([0 0.3*length(ts)])
subplot(2,1,2)
plot(tsdown(:,node_z))
xlim([0 0.3*length(tsdown)])


