function utslag = displacementPlot(utslag_korr, topp1, SS, freq, demping,nodenummer)

indeks_topp1 = floor(length(freq)/max(freq)*topp1);

[s1, s2, s3] = size(SS);

for i = 1:s1
    utslag(i) = SS(i,i,indeks_topp1);
end

skaleringsfaktor=1;

[max_utslag, indeks_max]=max(utslag);
utslag = sqrt(utslag)/sqrt(max_utslag); %Gir stoerrelsen p utslaget i hver node
utslag2=utslag

%velg_indeks=input('Velg en indeks til node med stort utslag for aa faa fasevinkler. ')
velg_indeks=nodenummer;

utslag=utslag.*utslag_korr(velg_indeks,:); %Gir utslaget med retning i hver node
utslagx=utslag(1:3:s1);
utslagy=utslag(2:3:s1);
utslagz=utslag(3:3:s1);
    
%     brox = [-20 -10 0 20];
%     broy = [1 -1];
%     broy2(1,:)=utslagy(1:2:8);
%     broy2(2,:)=utslagy(2:2:8);
%     broz = zeros(2,4);
broy2(1,:)=skaleringsfaktor*utslagy(1:2:14);
broy2(2,:)=skaleringsfaktor*utslagy(2:2:14);
broz2(1,:)=skaleringsfaktor*utslagz(1:2:14);
broz2(2,:)=skaleringsfaktor*utslagz(2:2:14);
brox2(1,:)=skaleringsfaktor*utslagx(1:2:14);
brox2(2,:)=skaleringsfaktor*utslagx(2:2:14);

size(utslagz);

% Til bruk i mesh, surf    
brox=[1 2 3 4 5 6 7; 1 2 3 4 5 6 7];
broy=[0 0 0 0 0 0 0; 1 1 1 1 1 1 1];
broz=[0 0 0 0 0 0 0;0 0 0 0 0 0 0];

%Til bruk i plot    
brox_full=[1 2 3 4 5 6 7];
broy_full=[0 0 0 0 0 0 0];
broz_full=[0 0 0 0 0 0 0];

%Til bruk i scatter3
brox_coord=[1 2 3 4 5 6 7];
broy_coord=[0 0 0 0 0 0 0];
broz_coord=[0 0 0 0 0 0 0];



scatter3(brox_coord,broy_coord,broz_coord,[],'k','x')
%mesh(brox,broy,broz)
hold on
surf(brox+brox2,broy+broy2,broz+broz2)    
axis([0 10 -10 10 -5 5])
%hold on
%surf(brox,broy,broz2)
%surf(utslagx,utslagy,utslagz)
plot(brox_full, broy_full)

plot(brox_full, broy_full+1)

grid off



uistr(1) = {['Frekvens = ' num2str(topp1) ' Hz']};
uistr(2) = {['Demping = ' num2str(100*demping) ' %']};





%['Frekvens = ' 'asdf';num2str(topp1) ' Hz']

%textbox = [xpos ypos xsize ysize]

annotation('textbox',[0.15 0.65 0.25 0.10],'String',uistr,'FontSize',14);%'FontName','Arial','LineStyle','--','EdgeColor',[1 1 0],'LineWidth',2,'BackgroundColor',[0.9  0.9 0.9],'Color',[0.84 0.16 0]);
xlabel('x-akse')
ylabel('y-akse')
zlabel('z-akse')


end