function [] = plotAutoSpekter(SS,n_node, freq, egenfrekvenser)
%close all


%% Plot auto-spectra

titler = ['Akselerasjonsspektrum for bevegelse i y-retning'; 'Akselerasjonsspektrum for bevegelse i x-retning'; 'Akselerasjonsspektrum for bevegelse i z-retning']; 
farger = 'yyymmmbbbrrrgggbbbccckkkyyymmmbbbrrrgggbbbccckkk';
%farger = 'bbbbbbbbbbbbbbbbbbbbbbbb';

MAX=zeros(1,3);
for i = 1:3
    for j=i:3:(n_node*3)
        if max(SS(j,j,:))>= MAX(i)
            MAX(i)= max(SS(j,j,:));
        else
            MAX(i) = MAX(i);
        end
    end
end

MAX;

maxi=max(MAX);%*10^-4;


for i = 1:3
    figure
    for j=i:3:(n_node*3)
        plot(freq,squeeze(real(SS(j,j,:)))/maxi,'color',farger(j),'LineWidth',1.3)
        hold on
        grid on
        %xlim([0 5]) % Midlertidig kommentert ut 15.12 11:38
        xlim([0 1])
        ylim([0 1])
        xlabel('Frequency, [1/s]')
        ylabel('S_{nn,i}/max(S_{nn})')
        title(titler(i,:))
        
        %[peaks location] = findpeaks(squeeze(real(SS(j,j,:)))); %,'NPEAKS',20);
        %scatter(location, peaks);

    end
    legend('Node 1','Node 2','Node 3','Node 4','Node 5','Node 6','Node 7','Node 8','Node 9','Node 10','Node 11','Node 12','Node 13','Node 14')

    
    linjebredde=1.5;
    linjefarge='r';
    linjestil='-.';

        if 0 %i==1
            plot([egenfrekvenser(1) egenfrekvenser(1)], [0 0.12],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
            plot([egenfrekvenser(4) egenfrekvenser(4)], [0 0.12],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
            plot([egenfrekvenser(7) egenfrekvenser(7)], [0 0.12],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
            plot([egenfrekvenser(8) egenfrekvenser(8)], [0 0.12],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
            plot([egenfrekvenser(10) egenfrekvenser(10)], [0 0.12],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
            plot([egenfrekvenser(11) egenfrekvenser(11)], [0 0.12],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
            
            
            uistr(1) = {['Frekvenstopper = ' num2str(egenfrekvenser(1)) ' Hz']};
            uistr(2) = {['Frekvenstopper = ' num2str(egenfrekvenser(4)) ' Hz']};
            uistr(3) = {['Frekvenstopper = ' num2str(egenfrekvenser(7)) ' Hz']};            
            uistr(4) = {['Frekvenstopper = ' num2str(egenfrekvenser(8)) ' Hz']};
            uistr(5) = {['Frekvenstopper = ' num2str(egenfrekvenser(10)) ' Hz']};
            
            annotation('textbox',[0.15 0.85 0.35 0.04],'String',uistr,'FontSize',8);%'FontName','Arial','LineStyle','--','EdgeColor',[1 1 0],'LineWidth',2,'BackgroundColor',[0.9  0.9 0.9],'Color',[0.84 0.16 0]);

        
        
        elseif 0 %i==2
%             plot([egenfrekvenser(1) egenfrekvenser(1)], [0 0.1],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
%             plot([egenfrekvenser(4) egenfrekvenser(4)], [0 0.1],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
%             plot([egenfrekvenser(7) egenfrekvenser(7)], [0 0.1],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
%             plot([egenfrekvenser(8) egenfrekvenser(8)], [0 0.1],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
%            plot([egenfrekvenser(10) egenfrekvenser(10)], [0 0.1],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
        elseif 0%i==3
            plot([egenfrekvenser(2) egenfrekvenser(2)], [0 1],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
            plot([egenfrekvenser(3) egenfrekvenser(3)], [0 1],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
            plot([egenfrekvenser(5) egenfrekvenser(5)], [0 1],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
            plot([egenfrekvenser(6) egenfrekvenser(6)], [0 1],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
            plot([egenfrekvenser(9) egenfrekvenser(9)], [0 1],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
            plot([egenfrekvenser(12) egenfrekvenser(12)], [0 1],'LineWidth',linjebredde,'color',linjefarge,'LineStyle',linjestil)
            
            clear uistr
            
            uistr(1) = {['Frekvenstopper = ' num2str(egenfrekvenser(2)) ' Hz']};
            uistr(2) = {['Frekvenstopper = ' num2str(egenfrekvenser(3)) ' Hz']};
            uistr(3) = {['Frekvenstopper = ' num2str(egenfrekvenser(5)) ' Hz']};            
            uistr(4) = {['Frekvenstopper = ' num2str(egenfrekvenser(6)) ' Hz']};
            uistr(5) = {['Frekvenstopper = ' num2str(egenfrekvenser(9)) ' Hz']};
            uistr(6) = {['Frekvenstopper = ' num2str(egenfrekvenser(11)) ' Hz']};
            uistr(7) = {['Frekvenstopper = ' num2str(egenfrekvenser(12)) ' Hz']};
    
            annotation('textbox',[0.15 0.85 0.25 0.08],'String',uistr,'FontSize',8);%'FontName','Arial','LineStyle','--','EdgeColor',[1 1 0],'LineWidth',2,'BackgroundColor',[0.9  0.9 0.9],'Color',[0.84 0.16 0]);
        
        
        
        
        
        
        
        
        end





end    
end

