function a = plotvind(vind)

t=linspace(0,length(vind),length(vind));

%plot(t,vind(:,1))

figure

titler= ['u  -  m/s'; 'v  -  m/s'; 'w  -  m/s'];

vind_temp=vind;
vind_temp(:,1)=vind_temp(:,1)-mean(vind_temp(:,1));

for j=1:3
    subplot(3,1,j)
    plot(vind_temp(:,j))
    title(titler(j,:), 'FontSize', 20)
    xlim([0 length(vind)])
    hold on
end
%figure

% for j=1:3
%     subplot(3,1,j)
%     hist(vind(:,j),75)
%     title(titler(j,:), 'FontSize', 20)
%     xlim([-5 10])
%     hold on
% end




% Plot time series and fitted normal distribution
V=mean(vind(:,1));
Iu=std(vind(:,1))/V;
Iv=std(vind(:,2))/V;
Iw=std(vind(:,3))/V;
figure
subplot(3,2,1)
plot(t,vind(:,1))
ylim([0 30])
title(['Mean Wind V=' num2str(1/10*round(V*10)) ' I_u=' num2str(1/100*round(Iu*100))])
subplot(3,2,3)
plot(t,vind(:,2))
ylim([-10 10])
title(['I_v=' num2str(1/100*round(Iv*100))])
subplot(3,2,5)
plot(t,vind(:,3))
ylim([-10 10])
title(['I_w=' num2str(1/100*round(Iw*100))])
subplot(3,2,2)
histfit(vind(:,1))
subplot(3,2,4)
histfit(vind(:,2))
subplot(3,2,6)
histfit(vind(:,3))













end