%%
%clearvars% -except oversikt s
s=1;
slutt=inf;
for teller=1:slutt



%clc
%close all
%clear all
tic
rehash

[~, name] = system('hostname');
name=cell2mat(cellstr(name));

if name(1) == 'j'
    cd('D:\Dropbox\master\matlab\mastrermappe')
else
    cd('C:\Users\janhavno\Dropbox\master\matlab\mastrermappe')
end

%%   innhenting av data og grunnleggende behandling
%
% importere data

%teller = 5;
ts=[];
Wind_polar_raw=[];
slutt=inf;

    tic
    

n_node = 14;

%% Initialize variables.
tic

mappe='K:\bravind4\';
%mappe = 'D:\masterdata\bravind\';

liste_over_filer = dir(mappe);
slutt = size(liste_over_filer,1)-2

for i=1:2
nummer=teller+2;
filnavn = liste_over_filer(nummer).name;
filename = [mappe filnavn];

if filnavn(1)=='.'
    nummer=nummer+1;
end


% 2GB:   %filename = 'D:\Dropbox\Prosjekt i dynamikk, H2013\Utvalgte tidsserier\Gjemnessundbrua\Bra vind (ok filer)\NTNU141M-2013-06-19_00-00-00.csv'
delimiter = ',';

% For more information, see the TEXTSCAN documentation.
formatSpec = '%s%s%s%f%s%f%f%f%f%f%s%f%f%f%f%f%s%f%f%f%f%f%s%f%f%f%f%f%s%f%f%f%f%f%s%f%f%f%f%f%s%f%f%f%f%f%s%f%f%f%f%f%s%f%f%f%f%f%s%f%f%f%f%f%s%f%f%f%f%f%s%f%f%f%f%f%s%f%f%f%f%f%s%f%f%f%f%f%s%f%f%f%f%f%f%s%f%f%s%f%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%[^\n\r]';

%% Open the text file.
fileID = fopen(filename,'r');

%% Read columns of data according to format string.
% This call is based on the structure of the file used to generate this
% code. If an error occurs for a different file, try regenerating the code
% from the Import Tool.
dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'EmptyValue' ,NaN, 'ReturnOnError', false);

%% Close the text file.
fclose(fileID);

%% Post processing for unimportable data.
% No unimportable data rules were applied during the import, so no post
% processing code is included. To generate code which works for
% unimportable data, select unimportable cells in a file and regenerate the
% script.

%% Allocate imported array to column variable names
VarName91 = dataArray{:, 91};
VarName92 = dataArray{:, 92};
VarName93 = dataArray{:, 93};

%% Clear temporary variables
%clearvars filename delimiter formatSpec fileID dataArray ans -except oversikt ans;


%ts=[VarName7 VarName8 VarName9 VarName13 VarName14 VarName15 VarName19 VarName20 VarName21 VarName25 VarName26 VarName27 VarName31 VarName32 VarName33 VarName37 VarName38 VarName39 VarName43 VarName44 VarName45 VarName49 VarName50 VarName51 VarName55 VarName56 VarName57 VarName61 VarName62 VarName63 VarName67 VarName68 VarName69 VarName73 VarName74 VarName75 VarName79 VarName80 VarName81 VarName85 VarName86 VarName87];

Wind_polar_raw = [VarName91 VarName92 VarName93];% VarName94];
%vind(all(vind==0,2),:)=[];

  
    
    
    slutt=1;
    disp(['filnummer: ' num2str(teller)])
%    ts_temp=detrend(ts_temp);
  %  ts = [ts; ts_temp];
  %  ts=[];
    clear ts_temp
    %vind_temp=detrend(vind_temp);
%    Wind_polar_raw = [Wind_polar_raw; vind_temp];
    clear vind_temp
 %   teller = teller + 1;
    
    toc
end
%Wind_polar_raw(:,4)=[];
%%
%  Plot vinddata
%plotvind(vind)
%plotvind(Wind_polar_raw)
%%
tic
%% Remove false values
t_raw=(0:size(Wind_polar_raw,1)-1)*1/200;
Wind_polar=zeros(size(Wind_polar_raw,1)/20,3);
t=zeros(size(Wind_polar_raw,1)/20,1);
for n=1:size(Wind_polar_raw,1)/20
    tmp=Wind_polar_raw(20*n-19:20*n,:);
    Wind_polar(n,:)=mean(tmp(tmp(:,1)<500,:),1);
    t(n,1)=mean(t_raw(20*n-19:20*n));
    if isnan(Wind_polar(n,:))
        Wind_polar(n,:)=Wind_polar(n-1,:);
        disp(['Missing values n= ' num2str(n) '  t=' num2str(round(t(n,1)))])
    end
end

%% Select data range
%disp('Select data range')
%[xo yo]=ginput(2);
xo=[1 length(Wind_polar)]';
yo=[-10 10]';
Wind_polar=Wind_polar(t>xo(1,1) & t<xo(2,1),:);
t=t(t>xo(1,1) & t<xo(2,1));
%% Plot selected data
% t=t-t(1,1);
% figure
% subplot(3,1,1)
% plot(t,Wind_polar(:,1))
% ylim([0 360])
%
% subplot(3,1,2)
% plot(t,Wind_polar(:,2))
% ylim([0 40])
%
% subplot(3,1,3)
% plot(t,Wind_polar(:,3))
% ylim([-10 10])
%% Transform to cartesian coordinate system
mean_dir=mean(Wind_polar(:,1));
phi=(Wind_polar(:,1)-mean_dir)*2*pi/360;
Wind_cartesian(:,1)=Wind_polar(:,2).*cos(phi);
Wind_cartesian(:,2)=Wind_polar(:,2).*sin(phi);
Wind_cartesian(:,3)=Wind_polar(:,3);
%% Plot time series and fitted normal distribution
V=mean(Wind_cartesian(:,1));
Iu=std(Wind_cartesian(:,1))/V;
Iv=std(Wind_cartesian(:,2))/V;
Iw=std(Wind_cartesian(:,3))/V;


oversikt(s,:)=[Iu Iv Iw V mean(Wind_polar(:,1))];
disp(oversikt(s,:))
s=s+1;



h=figure
subplot(3,2,1)
plot(t,Wind_cartesian(:,1))
ylim([0 30])
title(['Mean Wind V=' num2str(1/10*round(V*10)) '    I_u=' num2str(1/100*round(Iu*100))])
subplot(3,2,3)
plot(t,Wind_cartesian(:,2))
ylim([-10 10])
title(['I_v=' num2str(1/100*round(Iv*100))])
subplot(3,2,5)
plot(t,Wind_cartesian(:,3))
ylim([-10 10])
title(['I_w=' num2str(1/100*round(Iw*100))])
subplot(3,2,2)
histfit(Wind_cartesian(:,1))
title(['Fil: ' filnavn])
subplot(3,2,4)
histfit(Wind_cartesian(:,2))
subplot(3,2,6)
histfit(Wind_cartesian(:,3))

saveas(h,['vindplot/' filnavn '.png'],'png')

%% Estimate spectra using FFT
titler=['u -  fft';'v -  fft';'w -  fft';'u -  psd';'v -  psd';'w -  psd';'u - norm';'v - norm';'w - norm'];
% figure
% Fs=1/(t(2)-t(1));
% for n=1:3
%     [X(n,:),freq(n,:)]=positiveFFT(Wind_cartesian(:,n).',Fs);
%     Spectra(n,:)=X(n,:).*conj(X(n,:))/(2*2*pi*(freq(n,2)-freq(n,1)));
%     subplot(3,3,n)
%     loglog(2*pi*freq,Spectra(n,:))
%     title(titler(n,:), 'FontSize', 14)
%     hold on
%     loglog(2*pi*freq(1,:),0.01*(2*pi*freq(1,:)).^(-5/3),'k')
% end
% Estimate spectra using welch
N=size(Wind_cartesian,1);                             % Number of elements in the vectors
Fs=1/(t(2)-t(1));                                     % Sampling frequency
nfft=1*N;
Hs=spectrum.welch('Hamming',N/10,50);
%figure
% for n=1:size(Wind_cartesian,2)
%     h=psd(Hs,Wind_cartesian(:,n)-mean(Wind_cartesian(:,n)),'NFFT',nfft,'Fs',Fs);
%     fakse=2*pi*h.Frequencies;
%     Spectra_welch(:,n)=1/(2*pi)*h.Data;
%     subplot(3,3,n+3)
%     loglog(2*pi*h.Frequencies,Spectra_welch(:,n))
%     hold on
%     title(titler(n+3,:), 'FontSize', 14)
%     loglog(2*pi*freq(1,:),0.03*(2*pi*freq(1,:)).^(-5/3),'k')
%
% end


% for n=1:size(Wind_cartesian,2)
%     h=psd(Hs,Wind_cartesian(:,n)-mean(Wind_cartesian(:,n)),'NFFT',nfft,'Fs',Fs);
%     fakse=2*pi*h.Frequencies;
%     Spectra_welch(:,n)=1/(2*pi)*h.Data;
%     subplot(3,3,n+6)
%     %loglog(2*pi*h.Frequencies,Spectra_welch(:,n))
%     Spectra_norm(:,n)=Spectra_welch(:,n).*fakse;
%     semilogx(2*pi*h.Frequencies,Spectra_norm(:,n))
%     hold on
%     title(titler(n+6,:), 'FontSize', 14)
%     %loglog(2*pi*freq(1,:),0.03*(2*pi*freq(1,:)).^(-5/3),'k')
%     strommenAutospekter
%     xlim([0.001 10])
% end




toc
%%
%plotWindSpectrum(SS_wind, freq_wind, vind)
%xlim([0 0.07])
%xlim([10^-2 3*10^2])
%%
%A=6.8;
%strommenAutospekter


close all
clearvars -except oversikt s
end

save('oversikt3.mat', 'oversikt')
latex(vpa(sym(oversikt),5))



disp('ferdig!!!')
%lyd()